#ifndef __STDTYPES_H
#define __STDTYPES_H

#ifdef XVT
#ifndef XVT_INCL_XVTENV
#include <xvt_env.h>
#endif    
#endif

// @M
#define pure =0

#define FALSE 0
#define TRUE  1

#define HIDDEN static

#define EOL             -1
#define NOERR   0
// @END

// @T
typedef unsigned char UINT8;
#ifdef M_I386
typedef unsigned short UINT16;
#else
typedef unsigned int UINT16;
#endif
typedef unsigned long UINT32;

typedef char INT8;
#ifdef M_I386
typedef short INT16;
#else
typedef int INT16;
#endif
typedef long INT32;

typedef UINT8 bool;
typedef UINT16 word;
typedef UINT32 dword;
typedef UINT8 byte;

typedef UINT16 KEY;

#define UNDEFINED -32767

#undef _SVID

// @END


// @FPUB
int get_serial_number();
long get_std_level();
void init_global_vars();
void free_global_vars();

#ifdef __cplusplus
extern void* operator new(unsigned);
extern void operator delete(void*);
#endif

// @END

#endif // __STDTYPES_H



